smk67 February 2016

rb-inotify-0.9.6.gem missing from rubygems.org

I’m getting a missing gem message from Maven:

http://production.s3.rubygems.org/gems/rb-inotify-0.9.6.gem
http://s3.amazonaws.com/production.s3.rubygems.org/gems/rb-inotify-0.9.6.gem
Could not find artifact rubygems:rb-inotify:gem:0.9.6 in rubygems-release (http://rubygems-proxy.torquebox.org/releases)
https://rubygems.org/gems/rb-inotify/versions/0.9.6

This gem is a dependency of some other gem and I can’t adjust the version manually.

What can I do?

Answers


Mohamed February 2016

This seems to be a issue with the torquebox rubygems proxy. This is likely a temporary issue and will be resolved soon.

Until then: The original rubygems site do have the 0.9.7 version of the rb-inotify gem. You can download it from there using gem fetch rb-inotify -v 0.9.7 and place in your local maven repository and you also have to create the sha1 file for the gem.

If you can't/don't want to go through these steps, I have uploaded the 0.9.7 dir from my maven local at: http://www.filedropper.com/097_1

This file needs to be extracted to ~/.m2/repository/rubygems/rb-inotify/0.9.7 (Assuming your maven local is located in .m2 under your user directory)

Update: changed version from 0.9.6 to 0.9.7, since 0.9.6 was yanked from rubygems as well.


odadoda February 2016

I had the same problem with the gradle-compass plugin. My fix is to force compass to use version 0.9.5 like this in the build.gradle file:

configurations.all { resolutionStrategy.force 'rubygems:rb-inotify:0.9.5' }

Post Status

Asked in February 2016
Viewed 1,082 times
Voted 14
Answered 2 times

Search




Leave an answer